Bug 280321 - Snoozed reminders do not retrigger after shuting down the computer
Summary: Snoozed reminders do not retrigger after shuting down the computer
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-18 09:35 UTC by Albert Astals Cid
Modified: 2012-12-05 19:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Albert Astals Cid 2011-08-18 09:35:40 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

Snoozed reminders do not retrigger after shuting down the computer

Reproducible: Always

Steps to Reproduce:
 * Add a reminder for an event that will trigger in 5 min
 * Wait those 5 min
 * When you get the remind dialog snooze the reminder for 30 min
 * Shutdown the computer before these 30 min
 * Wait an hour and start the computer

Actual Results:  
 * No reminder is shown at all

Expected Results:  
 * Reminder is shown like it was in kdepim 4.4

OS: Linux (x86_64) release 3.0-ARCH
Compiler: gcc
Comment 1 Christian Trippe 2012-01-28 13:28:52 UTC
Sounds like bug 282535 (which IMHO has a more precise discription of the bug).
Comment 2 Frank Roscher 2012-12-05 19:58:43 UTC
Git commit d1d99767eed455ee6f152ca9b7461f7a9a9acaa0 by Frank Roscher.
Committed on 05/12/2012 at 20:18.
Pushed by froscher into branch 'master'.

Fix saving and loading of suspended reminders in KOrganizer

We need to wait for all collections to be available when restoring
reminders at startup, or they won't get loaded properly. Additionally,
we must delete reminders one by one as they are dismissed instead of
just cleaning out the config file after each startup.
Related: bug 146336, bug 180413, bug 302865
FIXED-IN: 4.10
REVIEW: 107546

M  +2    -3    korganizer/korgac/alarmdialog.cpp
M  +50   -29   korganizer/korgac/koalarmclient.cpp
M  +2    -0    korganizer/korgac/koalarmclient.h

http://commits.kde.org/kdepim/d1d99767eed455ee6f152ca9b7461f7a9a9acaa0